import HomeActions from "@/app/[locale]/_home/HomeActions";
import HomeGames from "@/app/[locale]/_home/HomeGames";
import Box from "@/components/Box";
import Layout from "@/components/Layout";
import { LocalPropsWithChildren } from "@/types";
import { useTranslations } from "next-intl";
import { FC } from "react";
import HomeCard from "./_home/HomeCard";
import HomeSwiper from "./_home/HomeSwiper";

// Information
// ts-ignore
const App: FC<LocalPropsWithChildren> = (props) => {
    const t = useTranslations("global");
    return (
        <Layout>
            <div>
                <Box>
                    <HomeSwiper></HomeSwiper>
                    <HomeCard></HomeCard>
                </Box>
                {/*todo HomeTabs*/}
                <HomeGames />
                <Box>
                    <HomeActions />
                </Box>
            </div>
        </Layout>
    );
};

export default App;
