"use client";
import Footer, { FooterProps } from "@/components/Footer";
import Header, { HeaderProps } from "@/components/Header";
import Sidebar from "@/components/Layout/Sidebar";
import { FC, PropsWithChildren } from "react";
import { Swiper, SwiperSlide } from "swiper/react";
import styles from "./style.module.scss";
type Props = FooterProps & HeaderProps;
const Layout: FC<PropsWithChildren<Props>> = (props) => {
    const { children } = props;

    const startHandler = () => {
        console.log(`🎯🎯🎯🎯🎯-> in index.tsx on 12`, "start");
    };
    const endHandler = () => {
        console.log(`🎯🎯🎯🎯🎯-> in index.tsx on 12`, "end");
    };
    return (
        <Swiper
            initialSlide={1}
            resistanceRatio={0}
            slidesPerView={"auto"}
            slideToClickedSlide
            onSlideChangeTransitionStart={startHandler}
            onSlideChangeTransitionEnd={endHandler}
            // allowTouchMove={false}
        >
            <SwiperSlide
                style={{ width: "70%" }}
                className={"mx-w-[2.2222rem] " + " bg-[rgb(31,31,31)]"}
            >
                <section className="relative h-[100vh]">
                    <Sidebar></Sidebar>
                </section>
            </SwiperSlide>

            <SwiperSlide style={{ width: "100%" }}>
                <div className="relative h-[100vh]">
                    <Header {...props}></Header>
                    <main className={styles.main} id="maincontainer">
                        {children}
                    </main>
                    <Footer {...props}></Footer>
                </div>
            </SwiperSlide>
        </Swiper>
    );
};

export default Layout;
